/*
 * ExceptionTest.java
 */

public class ExceptionTest {

  static int factorial( int n ) throws LessThanOneException
  {
    if( n < 1 )
      throw new LessThanOneException("less than one exception here");

    int fact = 1;
    for( int i=1 ; i <= n ; ++i ) fact *= i;
    return fact;
  }
  
  /** declare ... */
/*
  public static void main( String args[] ) throws LessThanOneException
  {
    int f = factorial(-10);
    System.out.println(f);
  }
*/
  /** ... or catch */
  public static void main( String args[] )
  {
    int f;
    try
    {
      f = factorial(-10);
    }
    catch( LessThanOneException e )
    {
      f = 0;
      System.out.println( e.getMessage() );
      e.printStackTrace();
    }
  }

} // end of class ExceptionTest

